Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Squashfs is a highly compressed read-only filesystem for Linux.
Name:      	squashfs-tools
Version:   	4.0
Release:   	1
Provides:	squashfs-tools
License: 	GNU/GPL
URL:		http://squashfs.sourceforge.net/
Group:     	System/Configuration/Hardware
# source created from sqashfs CVS checkout
# cd squashfs-tools
# rm -rf `find -name CVS`
# cd ..
# mv squashfs-tools squashfs-tools-4.0
# tar cjf squashfs-tools-4.0.tar.bz2 squashfs-tools-4.0
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: zlib-devel

%description
Squashfs is a highly compressed read-only filesystem for Linux.
It uses zlib compression to compress both files, inodes and directories.
Inodes in the system are very small and all blocks are packed to minimise
data overhead. Block sizes greater than 4K are supported up to a maximum
of 64K.

Squashfs is intended for general read-only filesystem use, for archival
use (i.e. in cases where a .tar.gz file may be used), and in constrained
block device/memory systems (e.g. embedded systems) where low overhead is
needed.

%prep
%setup -n %{name}-%{version}

%build
make

%install
install -m 755 -d $RPM_BUILD_ROOT%_sbindir
install -m 755 mksquashfs $RPM_BUILD_ROOT%_sbindir
install -m 755 unsquashfs $RPM_BUILD_ROOT%_sbindir

%files
%defattr(-,root,root)
%_sbindir/mksquashfs
%_sbindir/unsquashfs

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0-1
- Version update
- CVS checkout 20090319
* Sat Apr 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.3-1
- Version update
* Tue Aug 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.1-1
- Version update
* Sat Mar 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0-1
- Version update
* Wed Mar 16 2005 Christian Metzen <metzench@ccux-linux.de> 2.1r2-1
- Initial Release
